<?xml version="1.0"?>
<xsl:stylesheet version="1.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
xmlns="http://www.bidib.org/schema/decoderCv/1.1"
xmlns:old="http://www.bidib.org/schema/decoderCv/1.0"
exclude-result-prefixes="old"
                xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

	<xsl:strip-space elements="*"/>
	<xsl:output method="xml"
	            indent="yes"
	            encoding="utf-8"/>

	<xsl:template match="/">
		<decoderCv>
			<xsl:apply-templates/>
		</decoderCv>
	</xsl:template>

	<xsl:template match="old:version">
		<version>
			<xsl:for-each select="@*">				
				<!-- copy all -->
				<xsl:copy/>
			</xsl:for-each>
		</version>
	</xsl:template>

	<xsl:template match="old:decoder">
		<decoder>
			<xsl:for-each select="@*">				
				<!-- copy all -->
				<xsl:copy/>
			</xsl:for-each>
		</decoder>
	</xsl:template>

	<xsl:template match="old:cvs">
		<cvs>
			<xsl:apply-templates/>
		</cvs>
	</xsl:template>

	<xsl:template match="old:cv">
		<cv>
			<xsl:for-each select="@*">				
				<!-- copy all -->
				<xsl:copy/>
			</xsl:for-each>
		</cv>
	</xsl:template>
</xsl:stylesheet>