<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:old="http://www.bidib.org/schema/monitor/configuration/1.4"
                xmlns="http://www.bidib.org/schema/monitor/configuration/1.5"
                exclude-result-prefixes="old"
                xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xsl:variable name="smallcase"
	              select="'abcdefghijklmnopqrstuvwxyz'"/>
	<xsl:variable name="uppercase"
	              select="'ABCDEFGHIJKLMNOPQRSTUVWXYZ'"/>
	<xsl:strip-space elements="*"/>
	<xsl:output method="xml"
	            indent="yes"
	            encoding="utf-8"/>
	<xsl:template match="/">
		<monitorConfiguration>
			<xsl:apply-templates/>
		</monitorConfiguration>
	</xsl:template>
	<xsl:template match="old:decoderManagementConfiguration">
		<decoderManagementConfiguration>
			<xsl:for-each select="@*">				
				<!-- copy all -->
				<xsl:copy/>
			</xsl:for-each>
			<!-- check for former optionals, set defaults -->
			<xsl:if test="not(@checkForUpdatesOnStartUp)">
				<xsl:attribute name="checkForUpdatesOnStartUp">true</xsl:attribute>
			</xsl:if>
		</decoderManagementConfiguration>
	</xsl:template>
</xsl:stylesheet>
