<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:old="http://www.bidib.org/schema/userDevices/1.3"
                xmlns="http://www.bidib.org/schema/userDevices/1.4"
				xmlns:ct="http://www.decoderdb.de/schema/commonTypes/1.2"
                exclude-result-prefixes="old"
                xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xsl:strip-space elements="*"/>
	<xsl:output method="xml"
	            indent="yes"
	            encoding="utf-8"/>

	<xsl:template match="/">
		<userDevicesList>
			<xsl:apply-templates/>
		</userDevicesList>
	</xsl:template>

	<xsl:template match="old:version">
		<version>
			<xsl:for-each select="@*">				
				<!-- copy all -->
				<xsl:copy/>
			</xsl:for-each>
		</version>
	</xsl:template>

	<xsl:template match="old:userDevices">
		<userDevices>
			<xsl:apply-templates/>
		</userDevices>
	</xsl:template>

	<xsl:template match="old:userDevice">
		<userDevice>
			<xsl:for-each select="@*">				
				<!-- copy all -->
				<xsl:copy/>
			</xsl:for-each>
			<xsl:apply-templates/>
		</userDevice>
	</xsl:template>

	<xsl:template match="old:decoder">
		<decoder>
			<xsl:for-each select="@*">				
				<!-- copy all -->
				<xsl:copy/>
			</xsl:for-each>
		</decoder>
	</xsl:template>
	
	<xsl:template match="old:addonDecoder">
		<addonDecoder>
			<xsl:for-each select="@*">				
				<!-- copy all -->
				<xsl:copy/>
			</xsl:for-each>
		</addonDecoder>
	</xsl:template>

</xsl:stylesheet>
